netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
cnid_last.h File Reference
`#include <string.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <atalk/cnid.h>`

Go to the source code of this file.

## Data Structures
struct | _cnid_last_private

## Functions
struct _cnid_db * | cnid_last_open (struct cnid_open_args *args)
void | cnid_last_close (struct _cnid_db *)
cnid_t | cnid_last_add (struct _cnid_db *, const struct stat *, cnid_t, const char *, size_t, cnid_t)
cnid_t | cnid_last_get (struct _cnid_db *, cnid_t, const char *, size_t)
char * | cnid_last_resolve (struct _cnid_db *, cnid_t *, void *, size_t)
cnid_t | cnid_last_lookup (struct _cnid_db *, const struct stat *, cnid_t, const char *, size_t)
int | cnid_last_update (struct _cnid_db *, cnid_t, const struct stat *, cnid_t, const char *, size_t)
int | cnid_last_delete (struct _cnid_db *, cnid_t)

## Variables
struct _cnid_module | cnid_last_module

## Function Documentation

## ◆ cnid_last_add()

cnid_t cnid_last_add | ( | struct _cnid_db * | cdb,
|  | const struct stat * | st,
|  | cnid_t | did,
|  | const char * | name,
|  | size_t | len,
|  | cnid_t | hint )
| extern

## ◆ cnid_last_close()

void cnid_last_close | ( | struct _cnid_db * | cdb | ) |
| extern

## ◆ cnid_last_delete()

int cnid_last_delete | ( | struct _cnid_db * | cdb,
|  | cnid_t | id )
| extern

## ◆ cnid_last_get()

cnid_t cnid_last_get | ( | struct _cnid_db * | cdb,
|  | cnid_t | did,
|  | const char * | name,
|  | size_t | len )
| extern

Return CNID for a given did/name.

## ◆ cnid_last_lookup()

cnid_t cnid_last_lookup | ( | struct _cnid_db * | cdb,
|  | const struct stat * | st,
|  | cnid_t | did,
|  | const char * | name,
|  | size_t | len )
| extern

## ◆ cnid_last_open()

struct _cnid_db * cnid_last_open | ( | struct cnid_open_args * | args | ) |
| extern

## ◆ cnid_last_resolve()

char * cnid_last_resolve | ( | struct _cnid_db * | cdb,
|  | cnid_t * | id,
|  | void * | buffer,
|  | size_t | len )
| extern

Return the did/name pair corresponding to a CNID.

## ◆ cnid_last_update()

int cnid_last_update | ( | struct _cnid_db * | cdb,
|  | cnid_t | id,
|  | const struct stat * | st,
|  | cnid_t | did,
|  | const char * | name,
|  | size_t | len )
| extern

## Variable Documentation

## ◆ cnid_last_module

struct _cnid_module cnid_last_module
| extern